> ## Documentation Index
> Fetch the complete documentation index at: https://docs.file.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace subscription

> This endpoint is used to get the subscription of the workspace.

The response will contain the subscription of the workspace.



## OpenAPI

````yaml get /prod/v1/subscription
openapi: 3.0.0
info:
  title: Public API
  description: >-

    ### Welcome to fileAI’s Public API Documentation.

    This API allows users to check the health of the system, upload and manage
    files, and manage AI Schemas.

    Should you have any questions, please reach out to fileAI via the “Contact a
    Developer” link below.



    [Contact a Developer](mailto:support@file.ai)



    ### Prerequisites


    Before using our API, please ensure you complete the following prerequisites

    - You must have a fileAI account. Sign up or login
    [here](https://orion.file.ai/en/sign-up)

    - You must have an API Key. After creating your fileAI account, you can
    generate your API Key. Refer to the Authentication section below for more
    details.



    ### Authentication

    All API requests require an API key for authentication.

    - To obtain your API key, please log in to your fileAI account and navigate
    to Project Settings in your dashboard

    - Keep your API key secure and do not share it publicly.


    ![Authentication](https://fileai-static-assets.s3.us-west-2.amazonaws.com/public-api-service/authentication.png)


    ### How to Use Your API Key

    Once you have your API key:

    - Click the Authorize button on the top-right of this page

    - Enter your API Key under Value

    - Click Authorize to start making authenticated requests directly from the
    documentation


    ![How to Use Your API
    Key](https://fileai-static-assets.s3.us-west-2.amazonaws.com/public-api-service/how-to-use-api-keys.png)
        
  version: '1.0'
  contact: {}
servers:
  - url: https://api.orion.file.ai
security: []
tags:
  - name: Public API V1
paths:
  /prod/v1/subscription:
    get:
      tags:
        - Public API V1
      summary: Get workspace subscription
      description: |-
        This endpoint is used to get the subscription of the workspace.

        The response will contain the subscription of the workspace.
      operationId: PublicAPIController_getWorkspaceSubscriptions
      parameters: []
      responses:
        '200':
          description: The subscription is retrieved
          content:
            application/json:
              example:
                subscription:
                  id: 686ccbacfe8fa1c80e69bc55
                  workspaceId: 686ccbacfe8fa1c80e69bc55
                  subscriptionPlan: STARTER
                  isTrial: true
                  creditInCents: 500
                  lowCreditThresholdInCents: 0
                  expiringCreditInCents: 500
                  expiryDate: '2025-07-22T07:41:32.607Z'
                  storageInGB: 0
                  maxStorageInGB: 100
                  importCount: 0
                  maxImportCount: 1
                  exportCount: 0
                  maxExportCount: 1
                  aiSchemaCount: 0
                  maxAiSchemaCount: 2
                  isAutoRenewal: true
                  createdAt: '2025-07-08T07:41:32.323Z'
                  updatedAt: '2025-07-10T10:50:20.997Z'
              schema:
                type: object
                properties:
                  subscription:
                    type: object
        '401':
          description: Invalid API key | API key is missing
          content:
            application/json:
              example:
                message: Invalid API key | API key is missing
                error: Unauthorized
                statusCode: 401
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: string
                  statusCode:
                    type: number
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                statusCode: 429
                message: Too Many Requests
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  message:
                    type: string
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````